%define major 0
%define api   0.3
%define libname   %mklibname cloudproviders %{major}
%define girname   %mklibname cloudproviders-gir %{api}
%define develname %mklibname cloudproviders -d

%define url_ver   %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           libcloudproviders
Version:        0.3.5
Release:        %mkrel 1
Summary:        Library for integration of cloud storage providers
Group:          System/Libraries
License:        LGPLv3+
URL:            https://gitlab.gnome.org/World/libcloudproviders
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  vala-tools
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
Cross desktop library for desktop integration of cloud storage providers and sync tools.

%package -n %{libname}
Summary:    Library for integration of cloud storage providers
Group:      System/Libraries

%description -n %{libname}
This package contains the library files required for running services built
using %{name}.

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/Libraries
Requires:   %{libname} = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%autosetup -p1

%build
%meson -Denable-gtk-doc=false
%meson_build

%install
%meson_install

%files -n %{libname}
%{_libdir}/libcloudproviders.so.%{major}{,.*}
%{_libdir}/girepository-1.0/CloudProviders-%{api}.typelib

%files -n %{develname}
%{_includedir}/cloudproviders/
%{_libdir}/pkgconfig/cloudproviders.pc
%{_libdir}/libcloudproviders.so
%{_datadir}/gir-1.0/CloudProviders-%{api}.gir
%{_datadir}/vala/vapi/cloudproviders.deps
%{_datadir}/vala/vapi/cloudproviders.vapi

%changelog
* Mon Nov 27 2023 tex - 0.3.5-1pclos2023
- new version: 0.3.5
